// Copyright 2021 The Pigweed Authors
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.

syntax = "proto3";

package pw.tokenizer;

import "google/protobuf/descriptor.proto";

enum Tokenization {
  // The field may contain plain text or any type of tokenized data (binary or
  // prefixed Base64).
  TOKENIZATION_OPTIONAL = 0;
}

// Define the tokenized option, which indicates the data format for text in a
// bytes field.
extend google.protobuf.FieldOptions {
  // The field number was randomly selected from the reserved, internal use
  // field numbers (50000-99999).
  // TODO: b/234886465 - Register with the Protobuf Global Extension Registry:
  //     https://github.com/protocolbuffers/protobuf/blob/HEAD/docs/options.md
  Tokenization format = 78576;
}
